import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import javax.swing.*;
import renk;

public class cizgiSWF_2000 extends JFrame {

    final static Color bg = Color.white;
    final static Color fg = Color.black;
    final static Color red = Color.red;
    final static Color white = Color.white;

    public cizgiSWF_2000()
    {
        //Initialize drawing colors
        super("çizgi çizimi");
        setBackground(bg);
        setForeground(fg);
    }

    public void paint(Graphics g) {
        Graphics2D g2 = (Graphics2D)g;
        g2.setPaint(Color.black);
        Line2D l=new Line2D.Double(50,50,100,75);
        g2.draw(l);
        g2.setStroke(new BasicStroke(1f,BasicStroke.CAP_ROUND,
        BasicStroke.JOIN_ROUND,1f,new float[] {5f},0f));
        Line2D l1=new Line2D.Double(50,150,100,175);
        g2.draw(l1);
    }

    //=====================================================
      public static void main(String[] args)
      {
      cizgiSWF_2000 pencere= new cizgiSWF_2000();
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(350,200);
      pencere.setVisible(true);
      }
}
